Subject: Show number of downloads on packages on GNU ELPA/NonGNU ELPA

From: Stefan Kangas <[email-masked]>
Date: Sun, 19 Sep 2021 14:13:08 -0700

Severity: wishlist

I think we should show the number of downloads on packages on GNU ELPA
and NonGNU ELPA.  This information should be shown on both the package
page, and in the package listing.

Sorting by downloads is a good way of getting a quick sense of which
packages are worth looking into, as they have many users.

MELPA already has this feature.  Here is the script they use to extract
the data from their webserver:

https://github.com/melpa/melpa/blob/master/docker/logprocessor/process_log.py

Maybe we could just "borrow" that script from them to get the data.
They use an sqlite3 database to save the information over time, which
seems to me like a reasonable approach.